data:extend({
  {
    type = "technology",
    name = "sniper-turrets",
    icon = "__Advanced-turrets__/graphics/technology/sniper-turrets.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "sniper-turret"
      }
    },
    prerequisites = {"laser-turrets", "laser-turret-damage-2"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1}
      },
      time = 60
    },
    order = "a-j-b"
  },
  {
    type = "technology",
    name = "heavy-turrets",
    icon = "__Advanced-turrets__/graphics/technology/heavy-turrets.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "heavy-turret"
      }
    },
    prerequisites = {"tanks"},
    unit =
    {
      count = 30,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "a-j-a"
  }
})